##
##  @l_prefix@/etc/ecartis/ecartis.cfg - global Ecartis configuration settings
##

#
#   Logging
#

#   location of log file
#     default: logfile = ./ecartis.log
logfile = @l_prefix@/var/ecartis/log/ecartis.log

#   debug level between '0' (quiet) and '10' (verbose)
#     default: debug = 0
debug = 5

#
#   Mail server configuration
#

#   outgoing SMTP server
#     default: mailserver = localhost
mailserver = localhost

#
#   Global configuration files
#

#   file containing the global blacklist for the entire Ecartis
#   installation
#     default: global-blacklist = ./banned
global-blacklist = @l_prefix@/etc/ecartis/banned

#
#   Addresses
#

#   The e-mail address this copy of Ecartis runs as
listserver-address = ecartis@example.com

#   The e-mail address for the local Ecartis admin
listserver-admin = root@localhost

#   The 'friendly name' that will show up on mail from ecartis.
listserver-full-name = Ecartis

#
#   Meta directory information
#

#   This is where the main ecartis executable is located on a default install.
#   Defaults to the path the program is executed from. Not useful in it's own,
#   but used to build the other variables defaults.
#listserver-root = /home/ecartis

#   This is where the config files (such as global blacklist, virtual host
#   configs, etc) are located. Defaults to listserver-root.
#listserver-conf = /home/ecartis

#   This is where the writable data directories (lists, queue, archives, etc)
#   live by default. Defaults to listserver-root.
#listserver-data = /home/ecartis

#   This is where to load the Ecartis modules from.
#   Defaults to listserver-root/modules
#listserver-modules = /home/ecartis/modules

#   In the situation where you are virtual hosting, you could in fact store
#   all the lists in seperate places. If you do, you will need to run
#   different copies with different config files for things like procbounce or
#   procdigest, but that's the price you pay for virtual hosting
lists-root = lists

#   Are we a paranoid installation?  Paranoid installations only allow admin
#   functions to be done by hand. Defaults to 'off' if not specified.
#paranoia = off

#   Do we refuse to parse RFC822 'From:' headers? Otherwise RFC822 headers can
#   be used as the sender's address.
deny-822-from = no

#   Change this to a valid email address at your site.
list-owner = root@localhost

#   sendmail-sleep should be set to yes to make Ecartis 'sleep' 5 ms after
#   receiving a response from RCPT TO. Some sendmail servers die if you don't
#   delay.
sendmail-sleep = no

#   sort-tolist is useful for sendmail installations, where the delivery order
#   is determined by the order of RCPT TO... it helps make the delivery more
#   efficient. However, more 'intellegent' mailers like Postfix and qmail do
#   not really need this option, and it only wastes a bit of RAM and
#   processing time on a list send. Sendmail users would do well to set to
#   'yes', qmail and Postfix users, turn it off.
sort-tolist = no

#   When set to yes, turns off the Ecartis version tagline at the bottom of
#   list results. (Hint: Set to 'no' if the development team sends you a new
#   version every day. :-)
task-no-footer = no

#   Allow or disallow the 'setaddy' command. Setaddy allows users to modify
#   their addresses. This is primarily for users of NetCom, for example, which
#   sends the messages from user@pop45.ix.netcom.com, and then bounces
#   messages replied back to this address. Setaddy allows these users to
#   specify their send-to address as user@netcom.com and Ecartis will still
#   accept messages from their fudged-up address.
allow-setaddy = yes

#   'full-bounce' controls whether bounces contain the entire message or just
#   the headers.
full-bounce = no

#   max-rcpt-tries defines the number of times to try getting input from
#   sendmail on 'RCPT-TO'. Sometimes sendmail delays and leaves the socket
#   buffer empty. Usually, you should never need to set this.
#max-rcpt-tries = 5

#   How long should cookies be kept before they're expired and removed?
#   Defaults to 3 hours.
#cookie-expiration-time = 2d

#   How long should the 'Expiry-Date' header field time be from now? Mail
#   programs that support this feature will automatically delete mail older
#   than this. This is only used for generic command output, for the message
#   you get back from things like 'lists' and 'who' and the output of setting
#   your flags. Files sent (closed-post notices, etc.) are not given an
#   Expiry-Date. Defaults to 1 day if not set.
#reply-expires-time = 4h

#
#   Files used by individual lists
#

post-password-file = text/postpassword.txt

#   The filename for the textfile sent to a user when they fail a blacklist
#   check. Path is under list directory. This is the file you retrieve with
#   'getconf blacklist-reject'.
blacklist-file = text/blacklist.txt

#   The filename for the individual list blacklist files. Path is relative to
#   list directory. This is the file you retrieve with 'getconf blacklist'.
blacklist-mask = blacklist

#   The filename for the textfile sent to a new user when they first
#   subscribe. Path is under list directory. This is the file you retrieve
#   with 'getconf welcome'.
welcome-file = text/intro.txt

#   The filename for the textfile prepended to posts for a list (if present).
#   Path is under list directory. This is the file you retrieve with
#   'getconf header'.
header-file = text/reflector-header.txt

#   The filename for the textfile appended to posts to a list (if present).
#   Path is under list directory. This is the file you retrieve with
#   'getconf footer'.
footer-file = text/reflector-footer.txt

#   The filename for the textfile sent to someone who sends mail to a closed
#   list, but is not subscribed to the list. This is probably a good place to
#   explain what a mailing list is, and subtly suggest they subscribe :-)
closed-file = text/closed-post.txt

#   The digest-header-file and digest-footer-file specified below violates the
#   RFC1153 standard for digested mailing lists. However, they seem quite
#   popular :-)

#   The filename for the textfile prepended to the head of digests when
#   they're sent out. Path is relative to list directory. This is the file you
#   retrieve with 'getconf digest-header'.
digest-header-file = text/digest-header.txt

#   The filename for the textfile appended to the tail of digests when they're
#   sent out. Path is relative to list directory. This is the file you
#   retrieve with 'getconf digest-footer'.
digest-footer-file = text/digest-footer.txt

#   The filename for the textfile to be placed in the 'Administrivia' section
#   of digests when they're assembled. Path is relative to list directory.
#   This is the file you retrieve with 'getconf digest-administrivia'.
digest-administrivia-file = digest/administrivia

#   The filename for the textfile to be sent to a user whose post was rejected
#   because they were set nopost. This is the file you retrieve with
#   'getconf nopost'.
nopost-file = text/nopost.txt

#   The filename of the textfile containing regexps, one per line, of patterns
#   to try matching to block spam or unsolicited commercial e-mail.
#   'getconf spamfile' gets this one.
spamfile = spam-regexp

#   The filename of the textfile to be sent to a user when they are set
#   MODERATOR. This should contain an introduction to moderating the list, and
#   serves as a welcome/intro to the new responsibilities a user has.
moderator-welcome-file = text/moderator.txt

#   The filename of the file containing regexps, one per line of patterns to
#   match when attempting to determine if a users mail to the list contains an
#   admin request which should have gone to <list>-request instead. Retrieve
#   with 'getconf administrivia-regexp'.
administrivia-regexp-file = admin-regexp

